
use "$input/KCPE2005DEC10.dta", clear
	capture drop id*
	gen 	iddistrict=substr(kneccode_str,1,3) if year==2005
	replace iddistrict=substr(kneccode_str,1,3) if year< 2005 & kneccode<900000
	replace iddistrict=substr(kneccode_str,2,3) if year< 2005 & kneccode>=900000
	gen 	idprovince=substr(iddistrict,1,1)

*** Append KCPE scores by year
	foreach num of numlist 1998/2004 {
			append using "$input/KCPE`num'DEC10.dta"
	}

	gen 	check_private_1		=strpos(schoolname,"PRIVATE")
	gen 	private_verified	=1 if (private==2 | check_private_1>0)
	replace private_verified	=0 if private_verified==.
	gen 	not_private			=strpos(schoolname,"REFUGEE")
	replace private_verified	=0 if not_private>0
	gen 	kneccode_verified	=kneccode
	gen 	WMSdistrict=.
	
***	Match KNEC to WMS districts
	replace 	WMSdistrict	=	10	if 	iddistrict	==	"401"
	replace 	WMSdistrict	=	21	if 	iddistrict	==	"205"
	replace 	WMSdistrict	=	21	if 	iddistrict	==	"206"
	replace 	WMSdistrict	=	21	if 	iddistrict	==	"207"
	replace 	WMSdistrict	=	22	if 	iddistrict	==	"203"
	replace 	WMSdistrict	=	23	if 	iddistrict	==	"204"
	replace 	WMSdistrict	=	23	if 	iddistrict	==	"208"
	replace 	WMSdistrict	=	24	if 	iddistrict	==	"201"
	replace 	WMSdistrict	=	25	if 	iddistrict	==	"202"
	replace 	WMSdistrict	=	31	if 	iddistrict	==	"102"
	replace 	WMSdistrict	=	32	if 	iddistrict	==	"105"
	replace 	WMSdistrict	=	33	if 	iddistrict	==	"104"
	replace 	WMSdistrict	=	34	if 	iddistrict	==	"106"
	replace 	WMSdistrict	=	35	if 	iddistrict	==	"101"
	replace 	WMSdistrict	=	36	if 	iddistrict	==	"103"
	replace 	WMSdistrict	=	40	if 	iddistrict	==	"312"
	replace 	WMSdistrict	=	41	if 	iddistrict	==	"303"
	replace 	WMSdistrict	=	42	if 	iddistrict	==	"306"
	replace 	WMSdistrict	=	43	if 	iddistrict	==	"302"
	replace 	WMSdistrict	=	44	if 	iddistrict	==	"301"
	replace 	WMSdistrict	=	45	if 	iddistrict	==	"305"
	replace 	WMSdistrict	=	46	if 	iddistrict	==	"304"
	replace 	WMSdistrict	=	47	if 	iddistrict	==	"307"
	replace 	WMSdistrict	=	48	if 	iddistrict	==	"313"
	replace 	WMSdistrict	=	49	if 	iddistrict	==	"309"
	replace 	WMSdistrict	=	51	if 	iddistrict	==	"801"
	replace 	WMSdistrict	=	51	if 	iddistrict	==	"804"
	replace 	WMSdistrict	=	52	if 	iddistrict	==	"803"
	replace 	WMSdistrict	=	53	if 	iddistrict	==	"802"
	replace 	WMSdistrict	=	61	if 	iddistrict	==	"703"
	replace 	WMSdistrict	=	61	if 	iddistrict	==	"711"
	replace 	WMSdistrict	=	62	if 	iddistrict	==	"701"
	replace 	WMSdistrict	=	62	if 	iddistrict	==	"702"
	replace 	WMSdistrict	=	62	if 	iddistrict	==	"713"
	replace 	WMSdistrict	=	63	if 	iddistrict	==	"705"
	replace 	WMSdistrict	=	63	if 	iddistrict	==	"712"
	replace 	WMSdistrict	=	64	if 	iddistrict	==	"704"
	replace 	WMSdistrict	=	65	if 	iddistrict	==	"707"
	replace 	WMSdistrict	=	66	if 	iddistrict	==	"706"
	replace 	WMSdistrict	=	71	if 	iddistrict	==	"515"
	replace 	WMSdistrict	=	72	if 	iddistrict	==	"512"
	replace 	WMSdistrict	=	73	if 	iddistrict	==	"514"
	replace 	WMSdistrict	=	74	if 	iddistrict	==	"506"
	replace 	WMSdistrict	=	74	if 	iddistrict	==	"511"
	replace 	WMSdistrict	=	75	if 	iddistrict	==	"513"
	replace 	WMSdistrict	=	76	if 	iddistrict	==	"516"
	replace 	WMSdistrict	=	77	if 	iddistrict	==	"522"
	replace 	WMSdistrict	=	78	if 	iddistrict	==	"519"
	replace 	WMSdistrict	=	81	if 	iddistrict	==	"517"
	replace 	WMSdistrict	=	82	if 	iddistrict	==	"518"
	replace 	WMSdistrict	=	82	if 	iddistrict	==	"520"
	replace 	WMSdistrict	=	83	if 	iddistrict	==	"502"
	replace 	WMSdistrict	=	84	if 	iddistrict	==	"503"
	replace 	WMSdistrict	=	85	if 	iddistrict	==	"501"
	replace 	WMSdistrict	=	86	if 	iddistrict	==	"509"
	replace 	WMSdistrict	=	87	if 	iddistrict	==	"505"
	replace 	WMSdistrict	=	91	if 	iddistrict	==	"602"
	replace 	WMSdistrict	=	92	if 	iddistrict	==	"601"
	replace 	WMSdistrict	=	93	if 	iddistrict	==	"603"
	replace 	WMSdistrict	=	93	if 	iddistrict	==	"607"
	replace 	WMSdistrict	=	94	if 	iddistrict	==	"604"

	rename 	WMSdistrict wmsdistrict
	drop 	if wmsdistrict==.
	foreach var of varlist kcpe kcpe_eng kcpe_kis kcpe_mat kcpe_sci kcpe_ghc {
			replace `var'=. if `var'==0
	}
	egen 	kcpe_allsubjects				=rowtotal(kcpe_eng kcpe_kis kcpe_mat kcpe_sci kcpe_ghc) 
	bys 	wmsdistrict year: egen kcpe_pub	=mean(kcpe_allsubjects) if private_verified==0
	bys 	wmsdistrict year: egen kcpe_pri	=mean(kcpe_allsubjects) if private_verified==1
	drop 	kcpe_allsubjects	
	replace year =  0 if year==1998
	replace	year =  1 if year==2005
	keep 	if year==0 | year==1

collapse kcpe_pub kcpe_pri, by(wmsdistrict year)
	label 	define year 0 "pre-FPE 1998" 1 "post-FPE 2005"
	label	values year year
	label 	variable year "Exam date"
	label 	variable wmsdistrict "Anonymized district code from WMS"
	label 	variable kcpe_pub "Ave KCPE score in public schools"	
	label 	variable kcpe_pri "Ave KCPE score in private schools"
	format 	kcpe* %5.1f
	order 	wmsdistrict year 
	sort 	wmsdistrict year
	
save "$output/kcpe_scores_110914.dta", replace

exit
