
*** There are only 2 lines that vary between the prim and sec version of this file: "keep if age>=..." and the file save at the end.

*****************************************************************
*** Merge district pub/priv KCPE socres to the enrolment data ***
*****************************************************************

	use "$output/enrol_pooled.dta", clear

	***	Match districts between hh survey and test score data
		gen 		WMSdistrict=	district if year==0
		replace 	WMSdistrict	=	10	if 	district	==	101
		replace 	WMSdistrict	=	21	if 	district	==	201
		replace 	WMSdistrict	=	22	if 	district	==	202
		replace 	WMSdistrict	=	23	if 	district	==	203
		replace 	WMSdistrict	=	24	if 	district	==	204
		replace 	WMSdistrict	=	25	if 	district	==	205
		replace 	WMSdistrict	=	21	if 	district	==	206
		replace 	WMSdistrict	=	23	if 	district	==	207
		replace 	WMSdistrict	=	31	if 	district	==	301
		replace 	WMSdistrict	=	32	if 	district	==	302
		replace 	WMSdistrict	=	33	if 	district	==	303
		replace 	WMSdistrict	=	34	if 	district	==	304
		replace 	WMSdistrict	=	35	if 	district	==	305
		replace 	WMSdistrict	=	36	if 	district	==	306
		replace 	WMSdistrict	=	41	if 	district	==	401
		replace 	WMSdistrict	=	42	if 	district	==	402
		replace 	WMSdistrict	=	43	if 	district	==	403
		replace 	WMSdistrict	=	47	if 	district	==	404
		replace 	WMSdistrict	=	44	if 	district	==	405
		replace 	WMSdistrict	=	45	if 	district	==	406
		replace 	WMSdistrict	=	40	if 	district	==	407
		replace 	WMSdistrict	=	46	if 	district	==	408
		replace 	WMSdistrict	=	49	if 	district	==	411
		replace 	WMSdistrict	=	48	if 	district	==	412
		replace 	WMSdistrict	=	51	if 	district	==	501
		replace 	WMSdistrict	=	52	if 	district	==	502
		replace 	WMSdistrict	=	53	if 	district	==	503
		replace 	WMSdistrict	=	61	if 	district	==	601
		replace 	WMSdistrict	=	64	if 	district	==	602
		replace 	WMSdistrict	=	61	if 	district	==	603
		replace 	WMSdistrict	=	62	if 	district	==	604
		replace 	WMSdistrict	=	65	if 	district	==	606
		replace 	WMSdistrict	=	66	if 	district	==	607
		replace 	WMSdistrict	=	63	if 	district	==	609
		replace 	WMSdistrict	=	63	if 	district	==	611
		replace 	WMSdistrict	=	62	if 	district	==	612
		replace 	WMSdistrict	=	81	if 	district	==	701
		replace 	WMSdistrict	=	82	if 	district	==	703
		replace 	WMSdistrict	=	71	if 	district	==	704
		replace 	WMSdistrict	=	72	if 	district	==	705
		replace 	WMSdistrict	=	73	if 	district	==	707
		replace 	WMSdistrict	=	82	if 	district	==	708
		replace 	WMSdistrict	=	74	if 	district	==	709
		replace 	WMSdistrict	=	75	if 	district	==	710
		replace 	WMSdistrict	=	76	if 	district	==	711
		replace 	WMSdistrict	=	83	if 	district	==	712
		replace 	WMSdistrict	=	78	if 	district	==	713
		replace 	WMSdistrict	=	84	if 	district	==	714
		replace 	WMSdistrict	=	85	if 	district	==	715
		replace 	WMSdistrict	=	86	if 	district	==	716
		replace 	WMSdistrict	=	87	if 	district	==	717
		replace 	WMSdistrict	=	77	if 	district	==	718
		replace 	WMSdistrict	=	91	if 	district	==	801
		replace 	WMSdistrict	=	92	if 	district	==	802
		replace 	WMSdistrict	=	93	if 	district	==	804
		replace 	WMSdistrict	=	93	if 	district	==	805
		replace 	WMSdistrict	=	94	if 	district	==	807
		rename 		WMSdistrict wmsdistrict
		sort 		wmsdistrict year

	mmerge wmsdistrict year using "$output/kcpe_scores_110914.dta", unmatched(master)

****************************************
*** Random cleaning, labelling, etc. ***
****************************************

	rename 	hhh_educ hhheduc
	gen 	FPE 		= year==1
	gen 	logfood 	= ln(exp_food)	
	gen 	logfoodFPE 	= logfood*FPE
	gen 	male 		= sex==1
	gen 	maleFPE 	= male*FPE
	gen 	hhheducFPE 	= hhheduc*FPE
	gen 	ageFPE		=age*FPE
	tab 	prov, g(provdum)
	forval 	p = 1/8{
			gen provdum`p'FPE = provdum`p'*FPE
	}
	replace enrolP 		= 0 if grade==9

	label variable provdum2 	"Central dummy"
	label variable provdum3 	"Coast dummy"
	label variable provdum4 	"Eastern dummy"
	label variable provdum5 	"North Eastern dummy"
	label variable provdum6 	"Nyanza dummy"
	label variable provdum7 	"Rift Valley dummy"
	label variable provdum8 	"Western dummy"
	label variable provdum2FPE 	"FPE $ \times $ Central dummy"
	label variable provdum3FPE 	"FPE $ \times $ Coast dummy"
	label variable provdum4FPE 	"FPE $ \times $ Eastern dummy"
	label variable provdum5FPE 	"FPE $ \times $ North Eastern dummy"
	label variable provdum6FPE 	"FPE $ \times $ Nyanza dummy"
	label variable provdum7FPE 	"FPE $ \times $ Rift Valley dummy"
	label variable provdum8FPE 	"FPE $ \times $ Western dummy"
	label variable logfood 		"Log food expenditure"
	label variable logfoodFPE 	"FPE $ \times $ Log food expenditure"
	label variable male 		"Male dummy"
	label variable maleFPE 		"FPE $ \times $ male dummy"
	label variable hhheduc 		"Education of household head"
	label variable hhheducFPE 	"FPE $ \times $ Education of household head"

	***As a check, drop top and bottom 1% of expenditure observations 
	*replace logfood=. if exp_food<218.4659
	*replace logfood=. if exp_food>5520.444

	gen pubprivP = privateP 
	gen pubprivS = privateS 
	gen enrol_NPP_P = enrolP
	gen enrol_NPP_S = enrolS
	replace enrol_NPP_P = 2 if privateP==1
	replace enrol_NPP_S = 2 if privateS==1
	label define enrolx3 0 "None" 1 "Government" 2 "Private"
	label values enrol_NPP_P enrolx3
	label values enrol_NPP_S enrolx3
	tab enrol_NPP_P, g(pdummy)
	tab enrol_NPP_S, g(sdummy)


**************************************
*** Create cluster-level variables ***
**************************************

		replace year = 1997 if year==0
		replace year = 2006 if year==1
		gen double pid 	= (year-1996)*10 				+ prov
		gen double did 	= (year-1996)*10000 			+ prov*1000 			+ district
		gen double eaid = (year-1996)*100000000 		+ prov*10000000 		+ district*10000 		+ ea
		gen double iid 	= (year-1996)*10000000000000 	+ prov*1000000000000 	+ district*1000000000 	+ ea*100000 	+ hh*100 	+ i
		replace year = 0 if year==1997
		replace year = 1 if year==2006
		format iid %20.0f
		sort iid
	keep if age>=6 & age<=13												// 13 if you only want prim kids; 14 to 19 for secondary
		reg enrolP logfood hhheduc
	keep if e(sample)
	keep kcpe* wmsdist pid did eaid iid year prov district ea hh i age* provdum* enrol_NPP_P enrolP enrol_NPP_S enrolS pubprivP pdummy* logfood logfoodFPE hhheduc hhheducFPE male maleFPE FPE weight_hh
		gen none = enrol_NPP_P==0
		gen public = enrol_NPP_P==1
		gen private = enrol_NPP_P==2
		bysort eaid: egen npub = sum(public)
		bysort eaid: egen npri = sum(private)
		bysort eaid: egen nnone = sum(none)

		forval j=0/2{
			tempvar s`j' n`j' lomj`j' d`j'
			qui gen `d`j'' = (enrol_NPP_P==`j' )
			bys wmsdistrict FPE: egen `s`j'' = sum(`d`j'')
			bys wmsdistrict FPE: egen `n`j'' = count(`d`j'')
			qui generat lomj`j' = (`s`j'' - 1)/(`n`j''-1) if enrol_NPP_P==`j'
			qui replace lomj`j' = (`s`j'')/`n`j'' if enrol_NPP_P!=`j'
		}

*****************************************************************
*** Create enrolment variables for rich and poor respectively ***			
*****************************************************************

	gen poormean=.
	gen poormedian=.
	gen poor25=.
	gen poor75=.
	gen richmean=.
	gen richmedian=.
	gen rich25=.
	gen rich75=.

	levelsof wmsdistrict, local(levels)
	foreach l of local levels {
		forvalues r=0/1 {
			qui su logfood if wmsdistrict==`l' & FPE==`r', detail  
			di `l' `r'
		*** Categorize people by mean, median, 25th percentile and 75th percentile
			replace poormean	=(logfood <=r(mean) & logfood~=.) if wmsdistrict==`l' & FPE==`r'
			replace poormedian	=(logfood <=r(p50) 	& logfood~=.) if wmsdistrict==`l' & FPE==`r' 
			replace poor25		=(logfood <=r(p25) 	& logfood~=.) if wmsdistrict==`l' & FPE==`r'  
			replace poor75		=(logfood <=r(p75) 	& logfood~=.) if wmsdistrict==`l' & FPE==`r'  
			replace richmean	=(logfood >	r(mean) & logfood~=.) if wmsdistrict==`l' & FPE==`r'  
			replace richmedian	=(logfood >	r(p50) 	& logfood~=.) if wmsdistrict==`l' & FPE==`r'  
			replace rich25		=(logfood >	r(p25) 	& logfood~=.) if wmsdistrict==`l' & FPE==`r'  
			replace rich75		=(logfood >	r(p75) 	& logfood~=.) if wmsdistrict==`l' & FPE==`r'  
		}
	}

	gen noneducmean=.
	gen noneducmedian=.
	gen noneduc25=.
	gen noneduc75=.
	gen educmean=.
	gen educmedian=.
	gen educ25=.
	gen educ75=.

	levelsof wmsdistrict, local(levels)
	foreach l of local levels {
		forvalues r=0/1 {
		*** Categorize people by mean, median, 25th percentile and 75th percentile
			qui su hhheduc if wmsdistrict==`l' & FPE==`r', detail  
			replace noneducmean		=(hhheduc<=r(mean) 	& hhheduc~=.) if wmsdistrict==`l' & FPE==`r'
			replace noneducmedian	=(hhheduc<=r(p50) 	& hhheduc~=.) if wmsdistrict==`l' & FPE==`r'
			replace noneduc25		=(hhheduc<=r(p25) 	& hhheduc~=.) if wmsdistrict==`l' & FPE==`r'
			replace noneduc75		=(hhheduc<=r(p75) 	& hhheduc~=.) if wmsdistrict==`l' & FPE==`r'
			replace educmean		=(hhheduc>r(mean) 	& hhheduc~=.) if wmsdistrict==`l' & FPE==`r'
			replace educmedian		=(hhheduc>r(p50) 	& hhheduc~=.) if wmsdistrict==`l' & FPE==`r'
			replace educ25			=(hhheduc>r(p25) 	& hhheduc~=.) if wmsdistrict==`l' & FPE==`r'
			replace educ75			=(hhheduc>r(p75) 	& hhheduc~=.) if wmsdistrict==`l' & FPE==`r'
		}
	}



	foreach var of varlist poormean poormedian poor25 poor75 noneducmean noneducmedian noneduc25 noneduc75 {
		forval j=0/2{
			tempvar s`var'`j' n`var'`j' lomj`var'`j' d`var'`j'
			qui gen `d`var'`j'' = (enrol_NPP_P==`j' & `var'==1)
			bys wmsdistrict FPE: egen `s`var'`j'' = sum(`d`var'`j'')
			*****defining it conditional on being in poor group, so that shares add up to 1
			bys wmsdistrict FPE: egen `n`var'`j'' = sum(`var')
			qui generat lomj`var'`j' = (`s`var'`j''-1)/(`n`var'`j''-1) if enrol_NPP_P==`j' & `var'==1
			qui replace lomj`var'`j' = (`s`var'`j'')/`n`var'`j'' if enrol_NPP_P==`j' & `var'==0
			qui replace lomj`var'`j' = (`s`var'`j'')/`n`var'`j'' if enrol_NPP_P!=`j'
		}
	}

	foreach var of varlist richmean richmedian rich25 rich75 educmean educmedian educ25 educ75 {
		forval j=0/2{
			tempvar s`var'`j' n`var'`j' lomj`var'`j' d`var'`j' 
			qui gen `d`var'`j'' = (enrol_NPP_P==`j' & `var'==1)
			bys wmsdistrict FPE: egen `s`var'`j'' = sum(`d`j'')
			****defining it conditional on being in rich group, so that shares add up to 1
			bys wmsdistrict FPE: egen `n`var'`j'' = sum(`var')
			qui generat lomj`var'`j' = (`s`var'`j''-1)/(`n`var'`j''-1) if enrol_NPP_P==`j' & `var'==1
			qui replace lomj`var'`j' = (`s`var'`j'')/`n`var'`j'' if enrol_NPP_P==`j' & `var'==0
			qui replace lomj`var'`j' = (`s`var'`j'')/`n`var'`j'' if enrol_NPP_P!=`j'
		}
	}

**************************
*** Reshape for clogit ***
**************************

	expand 3
	bysort iid: gen j 	= _n - 1
	ge 		selected 	= j==enrol_NPP_P
	ge 		selected_s 	= j==enrol_NPP_S
	ge 		sigma 	 	= lomj0 if j==0
	replace sigma 	 	= lomj1 if j==1
	replace sigma	 	= lomj2 if j==2
	foreach var of varlist poor* rich* noneduc* educ*{
		generat sigma`var' = lomj`var'0 if j==0
		replace sigma`var' = lomj`var'1 if j==1
		replace sigma`var' = lomj`var'2 if j==2
	}
	generat kcpe	= 0
	replace kcpe	= kcpe_pub if j==1
	replace kcpe	= kcpe_pri if j==2

	keep 	year wmsdistrict* j sigma* poor* rich* noneduc* educ* kcpe selected selected_s pid did eaid iid year prov dist ea hh i age* provdum* enrol_NPP_P enrol_NPP_S enrolP pubprivP pdummy* logfood logfoodFPE hhheduc hhheducFPE male maleFPE FPE weight_hh
	order 	year wmsdistrict* j iid selected sigma kcpe logfood hhheduc male FPE logfoodFPE hhheducFPE maleFPE weight_hh
	save 	"$output/enrol_pooled_clogit_prim.dta", replace

exit
