cd ('--insert file path here--')
clear
clear global
%%%%%load in data from STATA

importfile('DATA_MATLAB.csv');
importfile('DATA_MATLAB_2.csv');
importfile('DATA_MATLAB_SMALL.csv');
importfile('coefficients.csv');
importfile('delta.csv');
importfile('SOC_ID.csv');

levels=[10 21 22 23 24 25 31 32 33 34 35 36 40 41 42 43 44 46 47 49 51 53 61 62 63 64 65 66 71 72 73 74 75 76 78 81 82 84 86 87 91 92 93 94];

DATA_LARGE_IND=DATA_MATLAB(:,1:8);
DATA_LARGE_ALT=DATA_MATLAB_2(:,1:5);     %%%% KCPE djgovt djpriv djgovt_FPE djpriv_FPE 
IDENTIFIERS=DATA_MATLAB(:,end-5:end); %%%% selected sigma iid j wmsdistrict FPE
DATA_SMALL=DATA_MATLAB_SMALL(:,1:5); %%%%KCPE djgovt djpriv djgovt_FPE djpriv_FPE collapsed at district level
map=zeros(length(DATA_MATLAB_SMALL),1000);
k4=1;
for k1=1:length(levels)
    for k2=1:2
        for k3=0:1
 
 rr=find(IDENTIFIERS(:,5)==levels(k1) & IDENTIFIERS(:,4)==k2 & IDENTIFIERS(:,6)==k3 & SOC_ID(:,11)==1);
 if size(rr)>0
 map(k4,1:length(rr))=[rr'];
 map(k4,end)=length(rr);
 else
 map(k4,1)=0;
 end
 k4=k4+1
        end
    end
end
x0=[0.013368      -3.024      -2.9702      0.75153    -0.34108];
%x0=[-0.012]
exitflag=0
while exitflag<=0
[x,output2,exitflag]=ConsistentExpectationRP(x0,coefficients(1:8), delta, DATA_LARGE_IND, DATA_LARGE_ALT, DATA_SMALL(:,1:5), map);
x0=x
end

numargument = DATA_LARGE_ALT*x'+ DATA_LARGE_IND*coefficients(1:8)';
denominator=zeros(length(numargument),1);
index=[1:3:length(numargument)-(3-2)]; 
denominator(index)=1+exp(numargument(index+1,1)-numargument(index))+exp(numargument(index+2)-numargument(index));	
denominator(index+1) = 1 + exp(numargument(index,1) - numargument(index+1)) + exp(numargument(index+2,1) - numargument(index+1));
denominator(index+2) = 1 + exp(numargument(index,1) - numargument(index+2)) + exp(numargument(index+1) - numargument(index+2));	
exb=1./denominator;

sigmamjtilde=zeros(size(map,1),1);
for k=1:size(map,1)
sigmamjtilde(k,1)=mean(exb(map(k,1:map(k,1000))));
end
X=[DATA_SMALL sigmamjtilde];
[b, bint]=regress(delta,X);
V=(delta-X*b)'*[delta-X*b]/(size(X,1)-size(X,2))*inv(X'*X);
SE=sqrt(diag(V))
tvalue=b./SE
pvalue=tcdf(tvalue)
